Bug Hunting Session
Bug 42668 - FORMATTING: TABLE: crash when adding column to a table containing merged cells in .docx [no backtrace yet]
Summary: FORMATTING: TABLE: crash when adding column to a table containing merged cell...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 RC1
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-07 06:56 UTC by ian
Modified: 2015-01-20 13:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
.docx document containing tables that demonstrate the behaviour (9.98 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2011-11-07 06:56 UTC, ian
Details
Bug 42668 - WinDbg session with FAILED_SOURCE_CODE (32.42 KB, text/plain)
2012-06-05 05:39 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ian 2011-11-07 06:56:42 UTC
Created attachment 53248 [details]
.docx document containing tables that demonstrate the behaviour

Problem description: attempts to add a column to a table that contains merged cells in a .docx document causes Writer to crash. Note that the table in question is a misformatted table that resulted when an original .odt document was saved as .docx - this misformatting has already been reported as a different bug (#42667).

Steps to reproduce:
1. Position the cursor in any cell apart from the first row in either of the tables in the attached .docx document
2. Select Table>Insert>Columns
3. Click <OK>

Current behavior: Immediate crash of Writer

Expected behavior: Column inserted into table

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Linux i686; rv:7.0.1) Gecko/20100101 Firefox/7.0.1
Comment 1 famo 2012-01-22 10:49:06 UTC
Confirmed with LO 3.5 beta on Windows XP.
Comment 2 Tim 2012-03-27 13:04:40 UTC
This also happens when deleting a column (with a merged cell) in a table in Libreoffice writer. V3.5.1 release on OSX
Comment 3 bfoman (inactive) 2012-06-05 05:39:14 UTC
Created attachment 62578 [details]
Bug 42668 - WinDbg session with FAILED_SOURCE_CODE

Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Crash after inserting column.

Attached full WinDbg session with FAILED_SOURCE_CODE.
Comment 4 Abdulaziz Ayed 2013-11-03 07:09:25 UTC
not reproducible in 4.0.2